# Class: c3.Plot.Layer.Stackable.Stack

Defined in: | js/c3-layers.coffee

## Overview

A struct-type convention class to describe a stack when manually specifying the set of stacks to use for a stackable chart layer.

## Variables Summary

version =

      0.1

key =

      undefined

  [String] The key for this stack

y =

      undefined

  [Function] A y accessor to use for this stack, overriding the one provided by the chart or layer.

data =

      undefined

  [Array] An array of data elements to use for this stack instead of the layer or chart's `data`.

name =

      undefined

  [String] Name for the stack

options =

      undefined

  [c3.Selection.Options] Options to manually set the class, classes, styles, events, and title of just this stack.

## Constructor Details

# (void) constructor(opt)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input